'modGlobal
'
'Beschreibung:  In diesem Modul werden Variablen und Funktionen fr globale
'               Verwendung im gesamten Projekt deklariert
'Autor:         Unbekannt, per Google gefunden
'Erstellt:      27.04.2006
'Gendert:      24.05.2006

Imports System.IO

Module modGlobal

    'Ersatz fr App.Path aus VB6
    Public _strAppPath As String = Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly.Location)

    'Word-Zugriff
    Public _objWord As Word.Application             'Word-Application
    Public _objWordDokument As Word.Document        'Word-Dokument

    'Pfad zu Dokumentvorlagen
    Public _strDokumentvorlagen As String = Path.Combine(_strAppPath, "Dokumentvorlagen")

    ''Pfad zu Unterschriften
    'Public _strSignaturpfad As String = Path.Combine(_strAppPath, "Signe")
    'Public _strUnterschrift As String


    'GetWord
    '
    'Beschreibung:  Ruft eine bereits vorhandene Word-Instanz ab oder erzeugt eine neue
    'Rckgabe:      Boolean: True bei Erfolg, sonst False
    Public Function GetWord(ByRef STATUS As Boolean) As Boolean
        'Prfen, ob schon eine Word-Instanz vorhanden
        Try
            _objWord = GetObject(, "Word.Application")
            STATUS = True
            'Wenn nicht, versuchen, eine zu starten
        Catch ex As Exception
            Try
                If _objWord Is Nothing Then
                    _objWord = CreateObject("Word.Application")
                    STATUS = False
                End If
            Catch ex2 As Exception
                MessageBox.Show("Konnte keine Word-Instanz erzeugen")
                _objWord = Nothing
                Return False
            End Try
        End Try

        Return True

    End Function
End Module